<template>
    <div class="partyt-pagination">
         <el-pagination
            @current-change="handleCurrentChange"
            :current-page.sync="currentPage"
            :page-size=pageSize
            layout="prev, pager, next, jumper"
            :total="total">
         </el-pagination> 
    </div>
</template>
<script>
export default {
    data(){
        return {
            currentPage:1
        }
    },
    props:{
        total:{
            type:Number,
            default:0
        },
        pageSize:{
            type:Number,
            default:20
        }
    },
    methods:{
        handleCurrentChange(val){
            console.log('currentPage' + val + '页')
        }
    }
}
</script>